#!/bin/bash

# remove the existing ini files

rm *.ini 

buildini() {
	cat > $name.ini << _EOT_
[info]
name='$name'
path='/$game'
_EOT_
}

buildinibg() {
	cat > $name.ini << _EOT_
[info]
name='$name'
path='/$game'
icon='/$dir/background.png'
_EOT_
}

for game in */*.gpe; do
	name=$(basename $game | sed -e "s/\.gpe//")
	dir=$(dirname $game)
	if [ -e $dir/background.png ]; then
		buildinibg
	else
		buildini
	fi
done
